GET
/v1/reports/dashboardGET /v1/reports/dashboard
Scopes: reports:dashboard:read
Requires scope: reports:dashboard:read.
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
quickStats | QuickStats | no | |
salesSummary7Days | SalesSummaryStats | no | |
salesSummary30Days | SalesSummaryStats | no | |
salesSummary90Days | SalesSummaryStats | no | |
topProducts | TopProductSummary[] | no | |
recentReports | RecentReportRecord[] | no | |
generatedAt | string<date-time> | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/reports/dashboard', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);